"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WebRtcPeerRecvonly = WebRtcPeerRecvonly;
exports.WebRtcPeerSendonly = WebRtcPeerSendonly;
exports.WebRtcPeerSendrecv = WebRtcPeerSendrecv;
Object.defineProperty(exports, "createCanvas", {
  enumerable: true,
  get: function () {
    return _WebRtcPeer.createCanvas;
  }
});
Object.defineProperty(exports, "WebRtcPeer", {
  enumerable: true,
  get: function () {
    return _WebRtcPeer.WebRtcPeer;
  }
});
Object.defineProperty(exports, "WebRtcPeerCore", {
  enumerable: true,
  get: function () {
    return _WebRtcPeerCore.default;
  }
});
exports.default = void 0;

var _WebRtcPeer = require("./WebRtcPeer");

var _WebRtcPeerCore = _interopRequireDefault(require("./WebRtcPeerCore"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * (C) Copyright 2014-2020 Kurento (http://kurento.org/)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This module contains a set of reusable components that have been found useful
 * during the development of the WebRTC applications with Kurento.
 *
 * @module kurentoUtils
 *
 * @copyright 2014 Kurento (http://kurento.org/)
 * @license ALv2
 *
 * @author Jesús Leganés Combarro "piranna" (piranna@gmail.com)
 * @since 4.2.4
 */
//
// Specialized child classes
//
function WebRtcPeerRecvonly(options, callback) {
  const result = new _WebRtcPeer.WebRtcPeer('recvonly', options, callback);
  result.constructor = WebRtcPeerRecvonly;
  result.__proto__ = WebRtcPeerRecvonly.prototype;
  return result;
}

WebRtcPeerRecvonly.prototype = _WebRtcPeer.WebRtcPeer.prototype;

function WebRtcPeerSendonly(options, callback) {
  const result = new _WebRtcPeer.WebRtcPeer('sendonly', options, callback);
  result.constructor = WebRtcPeerSendonly;
  result.__proto__ = WebRtcPeerSendonly.prototype;
  return result;
}

WebRtcPeerSendonly.prototype = _WebRtcPeer.WebRtcPeer.prototype;

function WebRtcPeerSendrecv(options, callback) {
  const result = new _WebRtcPeer.WebRtcPeer('sendrecv', options, callback);
  result.constructor = WebRtcPeerSendrecv;
  result.__proto__ = WebRtcPeerSendrecv.prototype;
  return result;
}

WebRtcPeerSendrecv.prototype = _WebRtcPeer.WebRtcPeer.prototype;
var _default = {
  WebRtcPeer: _WebRtcPeer.WebRtcPeer,
  WebRtcPeerCore: _WebRtcPeerCore.default,
  WebRtcPeerRecvonly,
  WebRtcPeerSendonly,
  WebRtcPeerSendrecv
}; // https://github.com/Automattic/node-canvas/issues/487

exports.default = _default;